#version 330 core
out vec4 outpColor;
in vec2 UV;
in vec3 pos;
in vec3 worldpos;
uniform sampler2D particleTex;

float intensity(vec4 c) {
    return (c.x + c.y + c.z) / 3.0;
}

void main() {
    outpColor = texture(particleTex, UV); // TODO: foging
    outpColor.a = intensity(outpColor) * 0.8;
}
